NMZMAIL(1)

NAME
nmzmail - a tool to use the namazu2 search engine from within mutt

SYNOPSIS
nmzmail [ -b <base> ] [ -r <result> ] -i <maildir1> <maildir2> ...

 -or-

nmzmail [ -b <base> ] [ -r <result> ] [ -n <limit> ]

DESCRIPTION

nmzmail is a program that uses the namazu2 search engine (http://www.namazu.org) from within the mail client mutt to search and index mail stored in maildir folders. Based on the result of the namazu query, nmzmail generates a maildir folder containing symbolic links to the mail matching the query. A simple mutt macro makes it very easy to use nmzmail from within mutt, and a simple crontab entry always keeps your mail indexed by namazu.

Add the following macro to your muttrc file:

macro generic S "<shell-escape>nmzmail<return><esc>c~/.nmzmail/result<return>" "Search via nmzmail"

Run mutt and hit "S" and enter your query when prompted.

You can manually update your index periodically or via a cronjob with:

nmzmail -i <maildir1> <maildir2> ...

OPTIONS

-i  This tells nmzmail to index your email.

-b FILE
    Base. Where nmzmail builds its index. By default it is in $HOME/.nmzmail.

-r FILE
    Result. Similar to -b, this lets you specify where the results are to be built. By default it is within $HOME/.nmzmail.

-n NUM
    Limit. When making a query, nmzmail can be used directly from the command line instead of from within mutt. When the -n option is invoked, the number of results returned from your query will be limited to whatever integer you specify for NUM.

SEE ALSO
namazu(1),mutt(1)

AUTHOR
nmzmail was written by Johannes Hofmann <johannes.hofmann@gmx.de>

This manual page was written by Kevin Coyner <kcoyner@debian.org>, for the Debian project (but may be used by others).